### Method

# GObject TypeClass peek_parent

#### Declaration [src]

    GObjectTypeClass*
    g_type_class_peek_parent (
      GObjectTypeClass* g_class
    )

#### Description [src]

Retrieves the class structure of the immediate parent type of the class passed in.

This is a convenience function often needed in class initializers.

Since derived classes hold a reference on their parent classes as long as they are instantiated, the returned class will always exist.

This function is essentially equivalent to: g_type_class_peek (g_type_parent (G_TYPE_FROM_CLASS (g_class))).

#### Return value

Type: `GTypeClass`

The parent class of `g_class`.

The returned data is owned by the instance.